Bug 142346 - [MediaStream] new load method for MediaStreamPrivate objects
Summary: [MediaStream] new load method for MediaStreamPrivate objects
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media Elements (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 142497
Blocks: 143211
  Show dependency treegraph
 
Reported: 2015-03-05 08:45 PST by Philippe Normand
Modified: 2015-03-29 23:47 PDT (History)
4 users (show)

See Also:


Attachments
patch (12.12 KB, patch)
2015-03-06 00:27 PST, Philippe Normand
eric.carlson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2015-03-05 08:45:21 PST
As it is implemented for MSE, it would be nice to have a dedicate ::load method for MediaStreams.
Comment 1 Philippe Normand 2015-03-05 09:58:19 PST
I started a patch and will upload it tomorrow.
Comment 2 Philippe Normand 2015-03-06 00:27:25 PST
Created attachment 248051 [details]
patch
Comment 3 Philippe Normand 2015-03-06 06:10:57 PST
Committed r181153: <http://trac.webkit.org/changeset/181153>